> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Title Data And Overrides

> Set and delete key-value pairs in a title data override instance.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| DataLengthExceeded | 1146 |
| DuplicateKeys | 1509 |
| InvalidParams | 1000 |
| TooManyKeys | 1147 |




## OpenAPI

````yaml /services/playfab/api-references/rest/admin/admin.openapi.json post /Admin/SetTitleDataAndOverrides
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Admin API
  description: >-
    APIs for managing title configurations, uploaded Game Server code
    executables, and user data
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Authentication
    description: Authentication APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Custom Server Management
    description: Custom Server Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: ScheduledTask
    description: Task management APIs
  - name: Segments
    description: Segment management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Xbox Store
    description: Xbox Store APIs
paths:
  /Admin/SetTitleDataAndOverrides:
    post:
      tags:
        - Title-Wide Data Management
      summary: Set Title Data And Overrides
      description: |
        Set and delete key-value pairs in a title data override instance.

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | DataLengthExceeded | 1146 |
        | DuplicateKeys | 1509 |
        | InvalidParams | 1000 |
        | TooManyKeys | 1147 |
      operationId: SetTitleDataAndOverrides
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetTitleDataAndOverridesRequest'
        description: >-
          Will set the given key values in the specified override or the primary
          title data based on whether the label is provided or not.
      responses:
        '200':
          $ref: '#/components/responses/SetTitleDataAndOverridesResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  schemas:
    SetTitleDataAndOverridesRequest:
      description: >-
        Will set the given key values in the specified override or the primary
        title data based on whether the label is provided or not.
      type: object
      properties:
        KeyValues:
          description: >-
            List of titleData key-value pairs to set/delete. Use an empty value
            to delete an existing key; use a non-empty value to create/update a
            key.
          type: array
          items:
            $ref: '#/components/schemas/TitleDataKeyValue'
          x-isclass: true
        OverrideLabel:
          description: Name of the override.
          type: string
      required:
        - KeyValues
      example:
        OverrideLabel: Holiday title data
        TitleId: 8FF3A797
        KeyValues:
          - Key: Running Speed
            Value: '1.03'
          - Key: Walking Speed
            Value: '0.05'
    TitleDataKeyValue:
      type: object
      properties:
        Key:
          description: >-
            Key we want to set a value on (note, this is additive - will only
            replace an existing key's value if they are the same name.) Keys are
            trimmed of whitespace. Keys may not begin with the '!' character.
          type: string
        Value:
          description: New value to set. Set to null to remove a value
          type: string
    SetTitleDataAndOverridesResult:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    SetTitleDataAndOverridesResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/SetTitleDataAndOverridesResult'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Set Title Data And Overrides](/services/playfab/api-references/rest/admin/title-wide-data-management/set-title-data-and-overrides.md)
- [Title Data](/services/playfab/live-service-management/game-configuration/titledata/index.md)
- [Delete Title Data Override](/services/playfab/api-references/rest/admin/title-wide-data-management/delete-title-data-override.md)
- [Title Data quickstart](/services/playfab/live-service-management/game-configuration/titledata/quickstart.md)
- [title_data_override_deleted](/services/playfab/api-references/events/TitleData/title-data-override-deleted.md)
